Version File Reference
`#include <osgGA/Export>`

Go to the source code of this file.

## Macros

#define | OSGGA_VERSION 1

## Functions

OSGGA_EXPORT const char * | osgGAGetVersion ()
OSGGA_EXPORT const char * | osgGAGetLibraryName ()

## Macro Definition Documentation

## OSGGA_VERSION

#define OSGGA_VERSION 1

## Function Documentation

## osgGAGetLibraryName()

OSGGA_EXPORT const char * osgGAGetLibraryName | ( |  | ) |

extern

getLibraryName_osgGA() returns the library name in human friendly form.

References OSGGA_EXPORT.

## osgGAGetVersion()

OSGGA_EXPORT const char * osgGAGetVersion | ( |  | ) |

extern

osgGAGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgGAGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) GA library
    #
    AC_CHECK_LIB(osg, osgGAGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph GA library not found. See http://www.openscenegraph.org)],)

References OSGGA_EXPORT.